Package org.eclipse.emf.cdo.lm

# Enum-Klasse StreamMode

java.lang.Object
java.lang.Enum<StreamMode>
org.eclipse.emf.cdo.lm.StreamMode

Alle implementierten Schnittstellen:
  `Serializable`, `Comparable<StreamMode>`, `Constable`, `Enumerator`

public enum StreamMode extends Enum<StreamMode> implements Enumerator
A representation of the literals of the enumeration 'Stream Mode', and utility methods for working with them.

Siehe auch:
  - `LMPackage.getStreamMode()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum-Konstanten - Übersicht

Enum-Konstanten
Enum-Konstante
Beschreibung
`CLOSED`
The 'Closed' literal object.
`DEVELOPMENT`
The 'Development' literal object.
`MAINTENANCE`
The 'Maintenance' literal object.

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final int`
`CLOSED_VALUE`
The 'Closed' literal value.
`static final int`
`DEVELOPMENT_VALUE`
The 'Development' literal value.
`static final int`
`MAINTENANCE_VALUE`
The 'Maintenance' literal value.
`static final List<StreamMode>`
`VALUES`
A public read-only list of all the 'Stream Mode' enumerators.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static StreamMode`
`get(int value)`
Returns the 'Stream Mode' literal with the specified integer value.
`static StreamMode`
`get(String literal)`
Returns the 'Stream Mode' literal with the specified literal value.
`static StreamMode`
`getByName(String name)`
Returns the 'Stream Mode' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static StreamMode`
`valueOf(String name)`
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück.
`static StreamMode[]`
`values()`
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

### Von Klasse geerbte Methoden java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Von Klasse geerbte Methoden java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum-Konstanten - Details

### DEVELOPMENT

public static final StreamMode DEVELOPMENT
The 'Development' literal object.

Siehe auch:
  - `DEVELOPMENT_VALUE`
Generated
Ordered

### MAINTENANCE

public static final StreamMode MAINTENANCE
The 'Maintenance' literal object.

Siehe auch:
  - `MAINTENANCE_VALUE`
Generated
Ordered

### CLOSED

public static final StreamMode CLOSED
The 'Closed' literal object.

Siehe auch:
  - `CLOSED_VALUE`
Generated
Ordered

## Felddetails

### DEVELOPMENT_VALUE

public static final int DEVELOPMENT_VALUE
The 'Development' literal value.

Siehe auch:
  - `DEVELOPMENT`
  - Konstantenfeldwerte
Generated
Model
  name="Development"
Ordered

### MAINTENANCE_VALUE

public static final int MAINTENANCE_VALUE
The 'Maintenance' literal value.

Siehe auch:
  - `MAINTENANCE`
  - Konstantenfeldwerte
Generated
Model
  name="Maintenance"
Ordered

### CLOSED_VALUE

public static final int CLOSED_VALUE
The 'Closed' literal value.

Siehe auch:
  - `CLOSED`
  - Konstantenfeldwerte
Generated
Model
  name="Closed"
Ordered

### VALUES

public static final List<StreamMode> VALUES
A public read-only list of all the 'Stream Mode' enumerators.

Generated

## Methodendetails

### values

public static StreamMode[] values()
Gibt ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration zurück.

Gibt zurück:
  ein Array mit den Konstanten dieser Enum-Klasse in der Reihenfolge ihrer Deklaration

### valueOf

public static StreamMode valueOf(String name)
Gibt die Enum-Konstante dieser Klasse mit dem angegebenen Namen zurück. Die Zeichenfolge muss exakt mit einer ID übereinstimmen, mit der eine Enum-Konstante in dieser Klasse deklariert wird. (Zusätzliche Leerzeichen sind nicht zulässig.)

Parameter:
  `name` - Name der zurückzugebenden Enumerationskonstante.
Gibt zurück:
  Enumerationskonstante mit dem angegebenen Namen
Löst aus:
  `IllegalArgumentException` - wenn diese Enum-Klasse keine Konstante mit dem angegebenen Namen enthält
  `NullPointerException` - wenn das Argument nicht angegeben wird

### get

public static StreamMode get(String literal)
Returns the 'Stream Mode' literal with the specified literal value.

Parameter:
  `literal` - the literal.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### getByName

public static StreamMode getByName(String name)
Returns the 'Stream Mode' literal with the specified name.

Parameter:
  `name` - the name.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### get

public static StreamMode get(int value)
Returns the 'Stream Mode' literal with the specified integer value.

Parameter:
  `value` - the integer value.
Gibt zurück:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Angegeben von:
  `getValue` in Schnittstelle `Enumerator`
Generated

### getName

public String getName()

Angegeben von:
  `getName` in Schnittstelle `Enumerator`
Generated

### getLiteral

public String getLiteral()

Angegeben von:
  `getLiteral` in Schnittstelle `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Setzt außer Kraft:
  `toString` in Klasse `Enum<StreamMode>`
Generated